## imcode.util.io
Class EmptyInputStreamSource

    java.lang.Object
      imcode.util.io.EmptyInputStreamSource

All Implemented Interfaces:
  InputStreamSource, java.io.Serializable

    public class EmptyInputStreamSource

extends java.lang.Object
implements InputStreamSource

See Also:
  Serialized Form

Constructor Summary
`EmptyInputStreamSource()`

Method Summary
`java.io.InputStream` `getInputStream()`
`long` `getSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyInputStreamSource

    public EmptyInputStreamSource()

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `InputStreamSource`
  Throws:
    `java.io.IOException`

### getSize

    public long getSize()
                 throws java.io.IOException

  Specified by:
    `getSize` in interface `InputStreamSource`
  Throws:
    `java.io.IOException`